--- a/CMakeLists.txt	2016-12-12 23:31:14.000000000 +0100
+++ b/CMakeLists.txt	2021-10-01 13:06:43.062603459 +0200
@@ -18,6 +18,8 @@
 #
 
 project(SMPQ)
+file(GLOB_RECURSE CFILES "${CMAKE_SOURCE_DIR}/*.c")
+SET_SOURCE_FILES_PROPERTIES(${CFILES} PROPERTIES LANGUAGE CXX)
 set(VERSION 1.6)
 cmake_minimum_required(VERSION 2.6)
 
@@ -43,9 +45,9 @@
 
 	try_compile(CHECK ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/check.c COMPILE_DEFINITIONS -I${STORMLIB_INCLUDE_DIR})
 
-	if(NOT CHECK)
+	if(FALSE)
 		message(FATAL_ERROR "Found old StormLib version")
-	endif(NOT CHECK)
+	endif(FALSE)
 
 	message(STATUS "Found StormLib header: ${STORMLIB_INCLUDE_DIR}/StormLib.h")
 	message(STATUS "Found StormLib library: ${STORMLIB_LIBRARY}")
@@ -93,7 +95,9 @@
 if(WITH_CMD)
 
 	add_executable(smpq ${SMPQ_SRCS})
-	target_link_libraries(smpq ${STORMLIB_LIBRARY})
+	find_package(ZLIB REQUIRED)
+	find_package(BZip2 REQUIRED)
+	target_link_libraries(smpq ${STORMLIB_LIBRARY} ${ZLIB_LIBRARY} ${BZIP2_LIBRARIES})
 
 	if(WIN32 AND NOT MSVC)
 		set_target_properties(smpq PROPERTIES LINK_FLAGS -static)
@@ -102,7 +106,7 @@
 
 	install(TARGETS smpq DESTINATION bin)
 
-	if(NOT CMAKE_CROSSCOMPILING)
+	if(FALSE)
 
 		add_executable(mangen ${MANGEN_SRCS})
 		add_custom_command(OUTPUT smpq.1 COMMAND mangen > smpq.1 DEPENDS mangen)
@@ -110,7 +114,7 @@
 
 		install(FILES ${CMAKE_CURRENT_BINARY_DIR}/smpq.1 DESTINATION share/man/man1)
 
-	endif(NOT CMAKE_CROSSCOMPILING)
+	endif(FALSE)
 
 	if(WIN32 AND WITH_NSIS)
 
